Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CompIntrDesc_Handler Class Reference

`#include <CompIntrDesc_Handler.h>`

Inheritance diagram for CompIntrDesc_Handler:

[legend]
Collaboration diagram for CompIntrDesc_Handler:

[legend]
List of all members.

## Public Member Functions
| CompIntrDesc_Handler (DOMDocument *doc, unsigned long filter_)
| constructor
| CompIntrDesc_Handler (DOMNodeIterator *iter, bool release=false)
| constructor
| CompIntrDesc_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
| constructor
void | process_ComponentInterfaceDescription (::Deployment::ComponentInterfaceDescription &CompIntrDesc)
| Process the component package description.
## Protected Member Functions
void | process_port (DOMNodeIterator *iter, Deployment::ComponentPortDescription &port)
| process port element
void | process_comp_property (DOMNodeIterator *iter, Deployment::ComponentPropertyDescription &property)
| process component property element

## Constructor & Destructor Documentation

CompIntrDesc_Handler::CompIntrDesc_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) | `[inline]`

| constructor

CompIntrDesc_Handler::CompIntrDesc_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

CompIntrDesc_Handler::CompIntrDesc_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

## Member Function Documentation

void CompIntrDesc_Handler::process_comp_property | ( | DOMNodeIterator * | iter,
|  | Deployment::ComponentPropertyDescription & | property
| ) | `[protected]`

| process component property element

BEGIN_DEPLOYMENT_NAMESPACE void CompIntrDesc_Handler::process_ComponentInterfaceDescription | ( | ::Deployment::ComponentInterfaceDescription & | CompIntrDesc | ) |

| Process the component package description.

void CompIntrDesc_Handler::process_port | ( | DOMNodeIterator * | iter,
|  | Deployment::ComponentPortDescription & | port
| ) | `[protected]`

| process port element

The documentation for this class was generated from the following files:

- CompIntrDesc_Handler.h
- CompIntrDesc_Handler.cpp